• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index Label
    • Multi Series Chart
    • Chart with Zooming & Panning
    • Synchronized Charts
    • Chart with Animation
    • Chart With Image Overlay
    • Chart with Secondary Axis
    • Chart with Null Data
    • Chart with Dynamic Data
    • Column Chart with Reversed Axis
    • Chart with Logarithmic Axis
    • Chart using JSON Data
    • Performance With 50,000 Data Points
    • Draggable Column Chart
    • Chart with Axis / Scale Break
    • Chart with Crosshair
    • Chart with Customized Legends
    • Drilldown Chart
    • Responsive Chart
    • Chart with Axis Labels & Ticks inside Plot Area
    • Sync ToolTip across Multiple Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Line Chart with Zoom and Pan
    • Line Chart with Data Marker
    • Line Chart with Logarithmic Axis
    • Line Chart with Axis / Scale Break
    • Line Chart with Multiple Axes
    • Spline Chart
    • Multi Series Spline Chart
    • Dynamic Spline Chart
    • Spline Chart with Secondary Axis
    • Spline Chart with Legends
    • Step Line Chart
    • Multi Series Step Line Chart with Null Data
  • AREA CHARTS
    • Area Chart
    • Multi Series Area Charts
    • Spline Area Chart
    • Multi Series Spline Area Charts
    • Step Area Chart
    • Range Area Chart
    • Multi Series Range Area Charts
    • Range Spline Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
    • Stacked Area 100% Chart with Date-Time Axis
  • COLUMN & BAR CHARTS
    • Column Chart
    • Column Charts with Multiple Axes
    • Bar Chart
    • Multi Series Bar Chart
    • Bar Chart with Axis / Scale Break
    • Range Column Chart
    • Multi Series Range Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Range Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Waterfall Chart
    • Multi Series Waterfall Chart
    • Waterfall Chart with Custom Colors
  • PIE & FUNNEL CHARTS
    • Pie Chart
    • Pie Chart with Legends
    • Pie Chart with Custom Radius
    • Doughnut Chart
    • Doughnut Chart with Custom Inner Radius
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Inverted Funnel Chart
    • Pyramid Chart
    • Pyramid Chart with Values represented by Area
    • Pyramid Chart With Index Labels Placed Inside
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • Combination of Candlestick & Line Chart
    • OHLC Chart
    • OHLC Chart from JSON Data using AJAX
  • SCATTER & BUBBLE CHARTS
    • Scatter / Point Chart
    • Multi Series Scatter / Point Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
    • Bubble Chart with Zoom & Pan
    • Bubble Chart with Custom Markers
  • BOX & WHISKER CHARTS
    • Box And Whisker Chart
    • Box and Whisker Chart with Color Customization
    • Box And Whisker Chart with Outliers
  • COMBINATION CHARTS
    • Error Chart
    • Error Line Chart
    • Error Bar Chart
    • Pareto Chart
    • Pareto Chart with Index / Data Label
    • Combination of Range Area and Line Charts
    • Combination of Column, Line and Area Chart
    • Combination of OHLC and Line Chart
  • DYNAMIC CHARTS
    • Dynamic / Live Column Chart
    • Dynamic / Live Line Chart
    • Dynamic / Live Multi Series Chart
  • ANGULAR, REACT, VUE.JS, JQUERY
    • Angular Charts
    • React Charts
    • Vue.js Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

JavaScript Multi Series Candlestick Charts

Download JavaScript Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Multi Series Candlestick chart are useful when you have to compare two or more data sets, each containing data points representing open, high, low and close values. Candlestick Graphs are mostly used to represent stock price, foreign exchange, commodity, etc. Given example shows stock price comparison of AT&T vs Verizon in 2016 using Multi Series Candlestick Chart. It also contains source code that you can edit in-browser or save to run locally.

Try Editing The Code

Download Copy JSFiddle
window.onload = function () {

var chart = new CanvasJS.Chart("chartContainer", {
	animationEnabled: true,
	theme: "light2", // "light1", "light2", "dark1", "dark2"
	exportEnabled: true,
	title:{
		text: "Stock Price: AT&T Vs Verizon for 2016"
	},
	axisX: {
		valueFormatString: "MMM"
	},
	axisY: {
		prefix: "$",
		title: "Price (in USD)"
	},
	toolTip: {
		shared: true
	},
	legend: {
		cursor: "pointer",
		itemclick: toogleDataSeries
	},
	data: [{
		type: "candlestick",
		showInLegend: true,
		name: "AT&T",
		yValueFormatString: "$###0.00",
		xValueFormatString: "MMMM YY",
		dataPoints: [
			{ x: new Date(2016, 00, 01), y: [34.080002, 36.060001, 33.410000, 36.060001] },
			{ x: new Date(2016, 01, 01), y: [36.040001, 37.500000, 35.790001, 36.950001] },
			{ x: new Date(2016, 02, 01), y: [37.099998, 39.720001, 37.060001, 39.169998] },
			{ x: new Date(2016, 03, 01), y: [38.669998, 39.360001, 37.730000, 38.820000] },
			{ x: new Date(2016, 04, 01), y: [38.869999, 39.669998, 37.770000, 39.150002] },
			{ x: new Date(2016, 05, 01), y: [39.099998, 43.419998, 38.580002, 43.209999] },
			{ x: new Date(2016, 06, 01), y: [43.209999, 43.889999, 41.700001, 43.290001] },
			{ x: new Date(2016, 07, 01), y: [43.250000, 43.500000, 40.549999, 40.880001] },
			{ x: new Date(2016, 08, 01), y: [40.849998, 41.700001, 39.549999, 40.610001] },
			{ x: new Date(2016, 09, 01), y: [40.619999, 41.040001, 36.270000, 36.790001] },
			{ x: new Date(2016, 10, 01), y: [36.970001, 39.669998, 36.099998, 38.630001] },
			{ x: new Date(2016, 11, 01), y: [38.630001, 42.840000, 38.160000, 40.380001] }
		]
	},
	{
		type: "candlestick",
		showInLegend: true,
		name: "Verizon",
		yValueFormatString: "$###0.00",
		dataPoints: [
			{ x: new Date(2016, 00, 01), y: [45.669998, 49.990002, 43.790001, 49.970001] },
			{ x: new Date(2016, 01, 01), y: [49.939999, 51.380001, 49.270000, 50.730000] },
			{ x: new Date(2016, 02, 01), y: [50.990002, 54.369999, 50.980000, 54.080002] },
			{ x: new Date(2016, 03, 01), y: [53.320000, 54.490002, 49.470001, 50.939999] },
			{ x: new Date(2016, 04, 01), y: [51.220001, 51.700001, 49.049999, 50.900002] },
			{ x: new Date(2016, 05, 01), y: [50.869999, 55.919998, 50.119999, 55.840000] },
			{ x: new Date(2016, 06, 01), y: [55.849998, 56.950001, 54.439999, 55.410000] },
			{ x: new Date(2016, 07, 01), y: [55.580002, 55.820000, 51.900002, 52.330002] },
			{ x: new Date(2016, 08, 01), y: [52.139999, 53.880001, 51.020000, 51.980000] },
			{ x: new Date(2016, 09, 01), y: [51.840000, 52.139999, 47.580002, 48.099998] },
			{ x: new Date(2016, 10, 01), y: [48.320000, 51.200001, 46.009998, 49.900002] },
			{ x: new Date(2016, 11, 01), y: [49.799999, 53.900002, 49.310001, 53.380001] }
		]
	}]
});
chart.render();

function toogleDataSeries(e) {
	if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
		e.dataSeries.visible = false;
	} else {
		e.dataSeries.visible = true;
	}
	e.chart.render();
}

}                                

Chart Customizations

You can enable legends by setting showInLegend to true. This feature is really useful for improving the readability of the graph. Other related customizations include exportEnabled, animationEnabled, etc.

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming & Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Combination Charts
    • Chart with Animation
    • Chart with Logarithmic Axis
    • Dynamic Chart
    • Chart with Data from AJAX
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart with Date-Time Axis
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabels
  • COLUMN CHARTS
    • Column Chart with Numeric Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabels
    • Multi Series Waterfall Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Index Labels
    • Pie Chart in Dark Theme
    • Doughnut Chart with Index Labels
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Indexlabels
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with Indexlabels
    • Bubble Chart with 3 Dimensional Data
    • Multi Series Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart without Neck
    • Pyramid Chart with Index Labels
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON data
    • Box & Whisker Chart
  • COMBINATION CHARTS
    • Error Bar Chart
    • Pareto Chart
    • Range Area & Line Chart
    • Candlestick & Line Chart
    • OHLC Chart with Trend
  • DYNAMIC CHARTS
    • Dynamic / Live Line Chart
    • Dynamic / Live Column Chart
    • Dynamic / Live Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, REACT, VUE.JS, JQUERY
    • JavaScript Charts
    • React Charts
    • Vue.js Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Angular Multi Series Candlestick Chart

Download Angular Chart Samples
  • Angular Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Angular Multi Series Chart that are used when you have to compare two or more stock related datasets.

  • Component Code
  • HTML Code
/* app.component.ts */
import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';

import { CanvasJSAngularChartsModule } from '@canvasjs/angular-charts';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule, RouterOutlet, CanvasJSAngularChartsModule],
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  chartOptions = {
    exportEnabled: true, 
    theme: "light2",
    title: {
      text: "Stock Price: AAPL vs MSFT"
    },
    axisX: {
      valueFormatString: "MMM",
      crosshair: {
        enabled: true,
        valueFormatString: "MMM YYYY",
        snapToDataPoint: true
      }
    },
    axisY: {
      title: "Price in USD",
      prefix: "$"
    },
    toolTip: {
      shared: true
    },
    legend: {
      cursor: "pointer",
      itemclick: function(e:any) {
        if (typeof(e.dataSeries.visible) === "undefined" || e.dataSeries.visible ){
          e.dataSeries.visible = false;
        } else {
          e.dataSeries.visible = true;
        }
        e.chart.render();
      }
    },
    data:[{
      type: "candlestick",
      name: "AAPL",
      showInLegend: true,
      yValueFormatString: "$##.##",
      xValueFormatString: "MMM YYYY",
      dataPoints: [
        { x: new Date(2021, 0, 1), y: [133.520004, 145.089996, 126.379997, 131.960007] },
        { x: new Date(2021, 1, 1), y: [133.75, 137.880005, 118.389999, 121.260002] },
        { x: new Date(2021, 2, 1), y: [123.75, 128.720001, 116.209999, 122.150002] },
        { x: new Date(2021, 3, 1), y: [123.660004, 137.070007, 122.489998, 131.460007] },
        { x: new Date(2021, 4, 1), y: [132.039993, 134.070007, 122.25, 124.610001] },
        { x: new Date(2021, 5, 1), y: [125.080002, 137.410004, 123.129997, 136.960007] },
        { x: new Date(2021, 6, 1), y: [136.600006, 150, 135.759995, 145.860001] },
        { x: new Date(2021, 7, 1), y: [146.360001, 153.490005, 144.5, 151.830002] },
        { x: new Date(2021, 8, 1), y: [152.830002, 157.259995, 141.270004, 141.5] },
        { x: new Date(2021, 9, 1), y: [141.899994, 153.169998, 138.270004, 149.800003] },
        { x: new Date(2021, 10, 1), y: [148.990005, 165.699997, 147.479996, 165.300003] },
        { x: new Date(2021, 11, 1), y: [167.479996, 182.130005, 157.800003, 177.570007] }
      ]
    },{
      type: "candlestick",
      name: "MSFT",
      showInLegend: true,
      yValueFormatString: "$##.##",
      xValueFormatString: "MMM YYYY",
      dataPoints: [
        { x: new Date(2021, 0, 1), y: [222.529999, 242.639999, 211.940002, 231.960007] },
        { x: new Date(2021, 1, 1), y: [235.059998, 246.130005, 227.880005, 232.380005] },
        { x: new Date(2021, 2, 1), y: [235.899994, 241.050003, 224.259995, 235.770004] },
        { x: new Date(2021, 3, 1), y: [238.470001, 263.190002, 238.050003, 252.179993] },
        { x: new Date(2021, 4, 1), y: [253.399994, 254.350006, 238.070007, 249.679993] },
        { x: new Date(2021, 5, 1), y: [251.229996, 271.649994, 243, 270.899994] },
        { x: new Date(2021, 6, 1), y: [269.609985, 290.149994, 269.600006, 284.910004] },
        { x: new Date(2021, 7, 1), y: [286.359985, 305.839996, 283.73999, 301.880005] },
        { x: new Date(2021, 8, 1), y: [302.869995, 305.320007, 281.619995, 281.920013] },
        { x: new Date(2021, 9, 1), y: [282.119995, 332, 280.25, 331.619995] },
        { x: new Date(2021, 10, 1), y: [331.359985, 349.670013, 326.369995, 330.589996] },
        { x: new Date(2021, 11, 1), y: [335.130005, 344.299988, 317.25, 336.320007] }
      ]
    }]
  }
}                              
<div>
    <canvasjs-chart [options]="chartOptions" [styles]="{width: '100%', height:'360px'}"></canvasjs-chart>    
</div>                        

Chart Customizations

You can enable legends by setting showInLegend to true. This feature is really useful for improving the readability of the graph. You can set risingColor and fallingColor to show the rising or falling price in different colors.

Note   For step by step instructions, follow our Angular Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Basic Chart
    • Chart with Animation
    • Chart with Zooming/Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Logarithmic Axis
    • Chart with JSON Data
    • Dynamic Chart
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Column Chart in Dark Theme
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with IndexLabel
  • PIE & DOUGHNUT CHARTS
    • Pie Chart
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Category Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with 3-Dimensional Data
    • Bubble Chart in Dark Theme
    • Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart with Custom Neck Length
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON Data
    • Box & Whisker Chart
    • Waterfall Chart
  • COMBINATION CHARTS
    • Pareto Chart
    • Error Line Chart
    • Combination of Range Area & Line Chart
    • Combination of Candlestick & Line chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, JQUERY, REACT, ANGULAR
    • JavaScript Charts
    • jQuery Charts
    • React Charts
    • Angular Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Vue.js Multi Series Candlestick Chart

Download Vue.js Chart Samples
  • Vue.js Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Vuejs multi-series candlestick chart with animation.

  • Component
  • Main
/* App.vue */
<script>
  export default {
    data() {
      return {
        chart: null,
        options: {
          animationEnabled: true,
          theme: "light1", // "light1", "light2", "dark1", "dark2"
          exportEnabled: true,
          title:{
            text: "Stock Price: TSLA Vs GOOGL"
          },
          axisX: {
            valueFormatString: "MMM YY"
          },
          axisY: {
            prefix: "$",
            title: "Price (in USD)"
          },
          toolTip: {
            shared: true
          },
          legend: {
            cursor: "pointer",
            itemclick: this.toggleDataSeries
          },
          data: [{
            type: "candlestick",
            showInLegend: true,
            name: "TSLA",
            yValueFormatString: "$###0.00",
            xValueFormatString: "MMMM YYYY",
            dataPoints: [
              { x: new Date(2020,0,1), y: [28.299999, 43.533333, 28.114, 43.371334] },
              { x: new Date(2020,1,1), y: [44.912666, 64.599335, 40.768002, 44.532665] },
              { x: new Date(2020,2,1), y: [47.417332, 53.798668, 23.367332, 34.933334] },
              { x: new Date(2020,3,1), y: [33.599998, 57.987999, 29.76, 52.125332] },
              { x: new Date(2020,4,1), y: [50.333332, 56.219334, 45.535999, 55.666668] },
              { x: new Date(2020,5,1), y: [57.200001, 72.512665, 56.939999, 71.987335] },
              { x: new Date(2020,6,1), y: [72.199997, 119.666, 72.033333, 95.384003] },
              { x: new Date(2020,7,1), y: [96.613335, 166.713333, 91, 166.106674] },
              { x: new Date(2020,8,1), y: [167.380005, 167.496674, 109.959999, 143.003326] },
              { x: new Date(2020,9,1), y: [146.919998, 155.300003, 126.370003, 129.346664] },
              { x: new Date(2020,10,1), y: [131.333328, 202.600006, 130.766663, 189.199997] },
              { x: new Date(2020,11,1), y: [199.196671, 239.573334, 180.403336, 235.223328] },
              { x: new Date(2021,0,1), y: [ 239.820007, 300.133331, 239.063339, 264.51001 ] },
              { x: new Date(2021,1,1), y: [ 271.429993, 293.5, 206.333328, 225.166672 ] },
              { x: new Date(2021,2,1), y: [ 230.036667, 240.369995, 179.830002, 222.643326 ] },
              { x: new Date(2021,3,1), y: [ 229.456665, 260.263336, 219.806671, 236.479996 ] },
              { x: new Date(2021,4,1), y: [ 234.600006, 235.333328, 182.32666, 208.406662 ] },
              { x: new Date(2021,5,1), y: [ 209.266663, 232.539993, 190.406662, 226.566666 ] },
              { x: new Date(2021,6,1), y: [ 227.973328, 233.333328, 206.820007, 229.066666 ] },
              { x: new Date(2021,7,1), y: [ 233.333328, 246.796661, 216.279999, 245.240005 ] },
              { x: new Date(2021,8,1), y: [ 244.693329, 266.333344, 236.28334, 258.493347 ] },
              { x: new Date(2021,9,1), y: [ 259.466675, 371.736664, 254.529999, 371.333344 ] },
              { x: new Date(2021,10,1), y: [ 381.666656, 414.496674, 326.200012, 381.58667 ] },
              { x: new Date(2021,11,1), y: [ 386.899994, 390.946655, 295.373322, 352.26001 ] }
            ]
          },
          {
            type: "candlestick",
            showInLegend: true,
            name: "GOOGL",
            yValueFormatString: "$###0.00",
            dataPoints: [
              { x: new Date(2020,0,1), y: [67.420502, 75.028999, 67.324501, 71.639] },
              { x: new Date(2020,1,1), y: [73.082497, 76.537003, 63.4105, 66.962502] },
              { x: new Date(2020,2,1), y: [67.569504, 70.4095, 50.443501, 58.0975] },
              { x: new Date(2020,3,1), y: [56.200001, 68.0075, 53.754002, 67.334999] },
              { x: new Date(2020,4,1), y: [66.204498, 72.255501, 64.800499, 71.676003] },
              { x: new Date(2020,5,1), y: [71.285004, 73.789497, 67.582497, 70.902496] },
              { x: new Date(2020,6,1), y: [70.958504, 79.352501, 70.709, 74.397499] },
              { x: new Date(2020,7,1), y: [74.550003, 82.639503, 73.2015, 81.476501] },
              { x: new Date(2020,8,1), y: [81.608002, 86.305, 70.107498, 73.279999] },
              { x: new Date(2020,9,1), y: [74.182999, 84.066002, 71.661499, 80.805496] },
              { x: new Date(2020,10,1), y:[81.177002, 90.844498, 80.605499, 87.720001] },
              { x: new Date(2020,11,1), y:[88.333, 92.191498, 84.699997, 87.632004] },
              { x: new Date(2021,0,1), y: [88, 96.603996, 84.805, 91.367996] },
              { x: new Date(2021,1,1), y: [92.2295, 107.257004, 92.2295, 101.095497] },
              { x: new Date(2021,2,1), y: [102.400002, 105.686996, 99.699997, 103.125999] },
              { x: new Date(2021,3,1), y: [104.612503, 121.569, 104.571503, 117.675003] },
              { x: new Date(2021,4,1), y: [118.245499, 119.452499, 109.681, 117.842499] },
              { x: new Date(2021,5,1), y: [118.722, 123.095497, 116.475998, 122.0895] },
              { x: new Date(2021,6,1), y: [121.724998, 138.296997, 121.531502, 134.726501] },
              { x: new Date(2021,7,1), y: [135.117004, 145.970505, 133.319504, 144.697495] },
              { x: new Date(2021,8,1), y: [145, 146.253998, 133.556, 133.675995] },
              { x: new Date(2021,9,1), y: [134.447495, 148.649994, 131.050003, 148.046005] },
              { x: new Date(2021,10,1), y: [148.046005, 150.966507, 141.601501, 141.897507] },
              { x: new Date(2021,11,1), y: [144, 149.100006, 139.320999, 144.852005] }
            ]
          }]
        },
        styleOptions: {
          width: "100%",
          height: "360px"
        }
      }
    },
    methods: {
      toggleDataSeries(e) {
        if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
          e.dataSeries.visible = false;
        }
        else {
          e.dataSeries.visible = true;
        }
        e.chart.render();
      }
    }
  }
</script>
  
<template>
    <CanvasJSChart :options="options" :style="styleOptions" />
</template>                              
/*main.js*/
import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSChart from '@canvasjs/vue-charts';

const app = createApp(App);
app.use(CanvasJSChart); // install the CanvasJS Vuejs Chart Plugin
app.mount('#app');                        

Chart Customizations

You can enable export feature of the chart by setting the exportEnabled property to true. You can also export the chart programmatically by using the exportChart() method. Some other frequently used customization options are animationEnabled, type, etc.

Note   For step by step instructions, follow our Vuejs Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers